
EclaireXL - Bug #60

Prozac dreams large logo flickers

12/12/2017 08:50 PM - foft

Status: Closed Start date: 12/12/2017

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

As subject!

Related issues:

Related to Feature #2: PBI support Closed 04/04/2017

History

#1 - 12/14/2017 07:56 PM - foft

Nir tested it on the latest core for the mist. It worked! I disabled PBI then it worked on the Eclaire. So something related to an antic write or read

completing in the 2nd colour clock of a cycle I guess.

#2 - 12/14/2017 07:57 PM - foft

- Related to Feature #2: PBI support added

#3 - 09/29/2018 02:59 PM - foft

- Priority changed from Normal to High

This one annoys me, since the cycle position change should not break anything in antic. Should be easy to make a core with two antics to compare...

#4 - 10/02/2018 09:02 PM - foft

What do I know so far...

pbi disabled -> works

pbi enabled -> breaks

Tried instead by delaying the cpu enable 20 cycles -> breaks

Tried to delay cpu writes to antic alone by 20 cycles -> works...

Surprised by that last result because my plan had been to run two antics against each other - one delayed and the other not delayed. I have that now

but my test case doesn't exhibit the problem. Trying to track down why, perhaps its gtia?? Or perhaps I messed this delay up?

#5 - 10/03/2018 09:32 PM - foft

Its a plain antic 4 display. Seems to be a kernel that moves pmgs around and sets colours also changes character set. I guess this is rasta converter

stuff?

Anyway seems to be for some hscrol values it ends up reading the wrong chars, but only when running in later cycles.

Scrolling can be frozen by replacing sub at acfb with nops. i.e. in freezer press D for debug, then enter BS AC7B,AC7D,EA, then enter q to return.

This isn't freezing scrolling pmgs but should be nice and stable for checking logic analyzer for what chars are read...

#6 - 10/03/2018 09:36 PM - foft

Wired up the pbi enable/disable to the menu, so I can turn it on/off and see the result on the frozen screen.  Enough for now, but getting closer!

#7 - 10/04/2018 08:10 PM - foft

There is an extra dma fetch at colour clock 0, investigating what is going on...

#8 - 10/04/2018 08:42 PM - foft

Nasty edge case around dma disabling for the last few cycles of the scanline and cpu cycle completion timing, combined with the later cpu cycle

completion due to pbi. Think its fixed, just checking!

#9 - 10/04/2018 09:30 PM - foft
- Status changed from New to Closed

OK, that worked but broke an acid test. Now have a solution that works without breaking the acid test... Closing:-)
